package alist

import (
	"context"
	"goautodownload/internal/aptTools"
	"os"

	"goautodownload/api/alist/v1"
)

func (c *ControllerV1) GetList(ctx context.Context, req *v1.GetListReq) (res *v1.GetListRes, err error) {
	res = new(v1.GetListRes)
	apiTools := aptTools.NewAlistAPI("http://203.184.131.60:5244", "admin", "nokidc123@#")
	err = apiTools.Login()
	if err != nil {
		return nil, err
	}
	currentSubPath, err := os.Getwd()
	if err != nil {
		return nil, err
	}
	contents, err := apiTools.RecursiveCollectContents("/pikpakwebdav/moive", "/download", "/dow", "/ddd", currentSubPath, "")
	if err != nil {
		return nil, err
	}

	res.Files = contents

	return res, nil
}
